<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<body onload="onPageLoading()">
    <div class="container-fluid">
        <h3 class="text-center">Danh sách đơn hàng</h3>
        <table id="user-table" class="text-center table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>Order Code</th>
                    <th>Kích cỡ Combo</th>
                    <th>Loại Pizza</th>
                    <th>Nước uống</th>
                    <th>Thành tiền</th>
                    <th>Họ và tên</th>
                    <th>Số điện thoại</th>
                    <th>Trạng thái</th>
                    <th>Action</th>
                </tr>
            </thead>
            <!-- <tbody></tbody> -->
        </table>
    </div>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gEND_ROW_TABLE = -1;
    // hằng số số thứ tự các cột
    const gCOLUMN_ORDER_CODE = 0;
    const gCOLUMN_KICH_CO = 1;
    const gCOLUMN_LOAI_PIZZA = 2;
    const gCOLUMN_NUOC_UONG = 3;
    const gCOLUMN_THANH_TIEN = 4;
    const gCOLUMN_HO_TEN = 5;
    const gCOLUMN_SDT = 6;
    const gCOLUMN_TRANG_THAI = 7;
    const gCOLUMN_ACTION = 8;

    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
    const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading(){
        "use strict";
        var vXmlHttpGetAllOrder = new XMLHttpRequest();
        callApiAllOrderClick(vXmlHttpGetAllOrder)
        vXmlHttpGetAllOrder.onreadystatechange =
        function () {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                var vOrderList = vXmlHttpGetAllOrder.responseText;
                console.log(vOrderList);
                showDataToTable(vXmlHttpGetAllOrder)
            }
        }
    }   
    
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function callApiAllOrderClick(paramXmlHttp) {
      
        paramXmlHttp.open("GET", gBASE_URL, true);
        paramXmlHttp.send();
        
        
    }
    function showDataToTable(paramXmlHttp){
        var vTable = document.getElementById("user-table")
        var vResponse = JSON.parse(paramXmlHttp.responseText);

        var vTbody = document.createElement("tbody");
        vTable.appendChild(vTbody)

        var vTabltBody = vTable.getElementsByTagName("tbody")[0];
        debugger
        for( var bI = 0; bI < vResponse.length; bI++ ){
            // var vTbody = document.createElement("tbody")
            var vOrder = vResponse[bI];

             var vNewRow = vTabltBody.insertRow(gEND_ROW_TABLE)

             var vCodeCell = vNewRow.insertCell(gCOLUMN_ORDER_CODE);
             var vKichCoCell = vNewRow.insertCell(gCOLUMN_KICH_CO);
             var vPizzaCell = vNewRow.insertCell(gCOLUMN_LOAI_PIZZA);
             var vDrinkCell = vNewRow.insertCell(gCOLUMN_NUOC_UONG);
             var vPrizeCell = vNewRow.insertCell(gCOLUMN_THANH_TIEN);
             var vNameCell = vNewRow.insertCell(gCOLUMN_HO_TEN);
             var vPhoneCell = vNewRow.insertCell(gCOLUMN_SDT);
             var vTrangThaiCell = vNewRow.insertCell(gCOLUMN_TRANG_THAI)
             var vActionCell = vNewRow.insertCell(gCOLUMN_ACTION);

             vCodeCell.innerHTML = vOrder.orderCode;
             vKichCoCell.innerHTML = vOrder.kichCo;
             vPizzaCell.innerHTML = vOrder.loaiPizza;
             vDrinkCell.innerHTML = vOrder.idLoaiNuocUong;
             vPrizeCell.innerHTML = vOrder.thanhTien;
             vNameCell.innerHTML = vOrder.hoTen;
             vPhoneCell.innerHTML = vOrder.soDienThoai;
             vTrangThaiCell.innerHTML = vOrder.trangThai;
             var vButton= document.createElement("button");
             vButton.innerHTML = "Chi Tiết";
             vButton.className = "btn btn-success";

             vActionCell.appendChild(vButton)
        }
    }
</script>
</html>